#include "memsize.h"
:userdoc.
:title.'Recursos do Sistema OS/2' - Ajuda
:body.

:h1 res=ID_MAIN.Introduo
:i1.Introduo
:artwork name='memsize.bmp' align=center.
:p.
Este programa mostra vrios itens relacionados aos recursos do sistema 
e os atualiza uma vez por segundo, desde que haja tempo de CPU para isto. 
Os itens mostrados so&colon.
:p.
:hp2.Data/Hora:ehp2. - A data e hora corrente no formato de cada pas, 
dependendo de como esta configurada a linha &apos.COUNTRY=&apos. 
do arquivo CONFIG.SYS.
:p.
:hp2.Tempo decorrido:ehp2. - O tempo decorrido desde a ltima 
reinicializao.
:p.
:hp2.Memria fsica livre:ehp2. - A quantidade de memria do sistema
disponvel, de acordo com o valor retornado pela funo :hp1.DosMemAvail:ehp1.. 
:Note.Esta funo  parte do antigo sistema de 16 bits, e somente
informa a memria fsica abaixo de 16Mb, e foi modificada pouco antes
do lanamento do OS/2 2.0 para nunca retornar menos que 512K.
:p.
:hp2.Memria virtual livre:ehp2. - A quantidade de memria virtual livre
de acordo com a funo :hp1.DosQuerySysInfo:ehp1.. Esta  a quantidade de
memria fsica livre mais a quantidade de espao livre no arquivo de swap
mais a quantidade de espao que o swap pode crescer e menos a quantidade
e espao livre reservado no disco de swap.
:p.
:hp2.Tamanho do Swap:ehp2. - O tamanho atual do arquivo de swap 
SWAPPER.DAT. Para localizar este arquivo  procurada a linha que comea 
com SWAPPATH no arquivo CONFIG.SYS. Esta linha informa o nome completo do 
diretrio onde esta o arquivo de swap, o mnimo espao livre que deve ser 
deixado no disco de swap e o tamanho inicial do arquivo de swap.
:p.
:hp2.Espao disponvel para swap:ehp2. - A quantidade de espao livre no 
disco lgico onde reside o swap menos o espao reservado. Isto mostra o 
quanto o arquivo de swap pode crescer.
:p.
:hp2.Espao de swap no utilizado:ehp2. - A quantidade de espao livre 
dentro do arquivo de swap. Quando se torna igual a zero, o arquivo de 
swap deve crescer, normalmente um megabyte por vez.
:p.
:hp2.Tamanho do spool:ehp2. - A quantidade total de disco comsumida 
pelos arquivos enviados ao spooler de impresso.
:p.
:hp2.Carga da CPU:ehp2. - O percentual aproximado da capacidade da CPU 
disponvel em uso no momento.  uma mdia do intervalo anterior.
:Note.Esta funo e o PULSE no apresentam resultados equivalentes.
:hpt.Por que?:ehpt.:hdref res=60001.
:Note.Se o driver :hpt.HRTIMER.SYS:ehpt.:hdref res=60000. estiver instalado, 
este nmero ser mais correto.
:hpt.Por que?:ehpt.:hdref res=60002.
:p.
:hp2.Bateria:ehp2. -  mostrada a carga restante da bateria ou o status 
(Carregando, A/C).
:p.
:hp2.Nmero de tarefas ativas:ehp2. - O nmero de entradas na lista de 
tarefas do sistema, que  a lista mostrada quando se pressiona CTRL+ESC.
:note.Nem todas as tarefas so mostradas na lista de tarefas. Algumas so 
marcadas como invisveis.
:p.
:hp2.Nmero de processos:ehp2. - O nmero de processos atualmente carregados 
pelo sistema.
:p.
:hp2.Nmero de threads:ehp2. - O nmero de threads de processamento no 
sistema. H pelo menos uma thread para cada processo.
:p.
:hp2.Espao livre total em disco:ehp2. - A quantidade de espao livre em 
todos os discos locais no removveis.
:p.
:hp2.Drive X&colon. espao livre:ehp2. - A quantidade de espao livre no 
drive X&colon..
:p.
O sistema de ajuda est ativo, como j se deve ter visto, e os comandos 
existentes podem ser acessados pela janela do menu do sistema. Os seguintes 
comandos esto disponveis&colon.
:sl compact.
:li.:hpt.Gravar configurao:ehpt.:hdref res=IDM_SAVE_APPLICATION.
:li.:hpt.Inicializar pelo padro:ehpt.:hdref res=IDM_RESET_DEFAULTS.
:li.:hpt.Esconder ttulo:ehpt.:hdref res=IDM_HIDE_CONTROLS.
:li.:hpt.Configurar...:ehpt.:hdref res=IDM_CONFIGURE.
:li.:hpt.Reinicializar medidor de carga:ehpt.:hdref res=IDM_RESETLOAD.
:li.:hpt.Reinicializar drives:ehpt.:hdref res=IDM_RESETDRIVES.
:li.:hpt.Copiar:ehpt.:hdref res=IDM_COPY.
:li.:hpt.Informaes do produto:ehpt.:hdref res=IDM_ABOUT.
:li.:hpt.Encerrar:ehpt.:hdref res=IDM_EXIT.
:esl.
:p.
Alm das funes j descritas, este programa aceita comandos das Paletas 
de Fontes e de Cores do OS/2, e  tambm um servidor DDE para todos os 
dados apresentados. O nome da aplicao DDE  MEMSIZE e os nomes dos itens 
so os iguais aos que aparecem (como Tempo decorrido).

:h1 res=IDM_SAVE_APPLICATION.Gravar configurao (Opo do menu)
:i1.Gravar configurao (Opo do menu)
Quando se seleciona esta opo do menu, o programa guarda sua posio 
corrente e a configurao da opo Esconder Ttulo. Na prxima vez que o 
programa for executado aparecer na posio e com o ttulo escondido (ou 
no) de acordo com os dados armazenados.
:p.
:Note.A tecla de atalho para esta funo  F2.

:h1 res=IDM_RESET_DEFAULTS.Inicializar pelo padro (Opo do menu)
:i1.Inicializar pelo padro (Opo do menu)
Selecionando esta opo do menu, os atributos de fonte e cor sero 
retornados aos valores padro.

:h1 res=IDM_HIDE_CONTROLS.Esconder ttulo (Opo de menu)
:i1.Esconder ttulo (Opo de menu)
Esta opo de menu, quando selecionada, ir fazer com que os controles da 
moldura do programa (menu do sistema, barra de ttulo e boto de minimizar) 
no apaream. Esta opo pode ser alternada com um duplo clique com qualquer 
dos botes do mouse. Tambm, uma vez que percebi que  muito til poder se 
mover a janela enquanto os controles esto escondidos, a janela foi 
configurada para poder ser movida com qualquer dos botes do mouse.
.br
:Note.A tecla de atalho para esta funo  ALT+H.

:h1 res=IDM_CONFIGURE.Configurar (Opo de menu)
:i1.Configurar (Opo de menu)
Esta opo do menu, quando selecionada, faz com que a janela de 
configurao do programa seja mostrada. Para maiores informaes veja 
:hpt.Configurar (Caixa de dilogo):ehpt.:hdref res=IDD_CONFIGURE..
:Note.A tecla de atalho para esta funo  Alt+C.

:h2 res=IDD_CONFIGURE.Configurar (Dilogo)
Este bloco de notas de dilogo permite modificar todos os aspectos 
configurveis das operaes deste programa. As opes de configurao 
esto agrupadas por categorias nas seguintes pginas&colon.
:sl compact.
:li.:hpt.Itens:ehpt.:hdref res=IDD_CONFIG_PAGE_ITEMS.
:li.:hpt.Opes (Pgina 1):ehpt.:hdref res=IDD_CONFIG_PAGE_OPTIONS1.
:li.:hpt.Opes (Pgina 2):ehpt.:hdref res=IDD_CONFIG_PAGE_OPTIONS2.
:li.:hpt.Cores:ehpt.:hdref res=IDD_CONFIG_PAGE_COLORS.
:li.:hpt.Canto fixo:ehpt.:hdref res=IDD_CONFIG_PAGE_ANCHOR.
:esl.:p.
Todas as mudanas tem efeito imediato.

:h3 res=IDD_CONFIG_PAGE_ITEMS.Itens (Pgina de Configurao)
Esta pgina mostra uma lista dos itens que podem ser apresentados.
 possvel selecionar vrios ou todos os elementos que devem ser 
mostrados. Simplesmente d um clique para marc-lo, d outro clique para 
desmarcar. Os itens marcados sero mostrados. Para mudar o nome padro ou 
para retornar ao padro d um duplo clique em um item no selecionado. O 
item ser selecionado e uma caixa de dilogo aparecer, onde pode ser 
alterado o nome do item.

:h3 res=IDD_CONFIG_PAGE_OPTIONS1.Opes (Pgina 1) (Pgina de Configurao)
Esta pgina mostra um nmero de opes do programa que podem ser 
ativadas ou desativadas.
:p.
:hp2.Esconder Ttulo:ehp2.
Quando o programa no esta minimizado, este pode ser mostrado com ou sem 
a barra de ttulo, menu do sistema e botes de maximizar/minimizar. A 
janela poder ser movida pela sua rea central, mesmo que a barra de 
ttulo esteja escondida.
:p.
:hp2.Permanecer Visvel:ehp2.
Este boto ativa a funo de permanecer visvel, fazendo com que a janela 
esteja sempre a frente das demais.
:p.
:hp2.Animao:ehp2.
Este boto ativa a caracterstica de animao ao abrir &amp. fechar. 
Quando estiver ativa, a janela do programa ir abrir e fechar da mesma 
maneira que os objetos pasta fazem&colon. com som e movimento. Como as 
pastas, a animao s ir ocorrer se estiverem habilitados pelo sistema.
:p.
:hp2.Formato Tabela:ehp2.
Este boto, quando estiver marcado, forar a janela a se arrumar em 
formato de tabela, mostrados os itens em linhas e colunas. Ser mostrada 
de forma a ocupar o menor espao vertical possvel. Quando no estiver 
marcado os itens sero mostrados em uma nica coluna.
:p.
:hp2.Toque nas Horas Cheias:ehp2.
Este boto ativa a caracterstica de tocar na hora cheia. Quando ativo o
programa ir dar dois bips quando chegar uma nova hora.
:p.
:hp2.Mostrar Drives Remotos:ehp2.
Quando este boto esta marcado os drives remotos (de rede) que esto 
conectados ao sistema so monitorados da mesma forma que os drives 
locais no removveis, exceto que eles no sero incluidos no item 
Espao livre total em disco.
:p.
:hp2.Mostrar Sistema de Arquivos:ehp2.
Este boto fora as entradas de Espao livre em disco a mostrarem o 
sistema de arquivos usado em cada drive. O uso desta opo resulta em 
uma janela mais larga.
:p.
:hp2.Mostrar Nome do Drive:ehp2.
Este boto fora as entradas de Espao livre em disco a mostrarem o 
nome de cada drive. O uso desta opo resulta em uma janela mais larga.
:p.
:hp2.Mostrar Segundos:ehp2.
Este boto faz com que sejam mostrados os segundos no relgio e no 
tempo decorrido.
:p.
:hp2.Mostrar Relgio 24 Horas:ehp2.
Este boto fora o relgio a mostrar as horas no formato 24h, 
independente da configurao de pas do computador.

:h3 res=IDD_CONFIG_PAGE_OPTIONS2.Opes (Pgina 2) (Pgina de Configurao)
Esta pgina mostra opes adicionais do programa que so mais complexas 
do que simples liga/desliga.
:p.
:hp2.Mostrar 'K'ilobytes:ehp2.
Este grupo de botes permite que se selecione como grandes nmeros devem 
ser mostrados. Se devem ser mostrados em Kbytes sempre, nunca ou somente 
se os valores ultrapassarem 512K. O padro  para mostrar qualquer valor 
maior que 512K desta maneira.
.br
O boto 'K=1024', se marcado, faz com que os nmeros sejo mostrados em
reais K (1024). Se no estiver marcado, os nmeros sero mostrados em 
decimal K (1000).
.br
O boto de 'M'egabyte, se marcado, fora que os nmeros sejo mostrados 
em megabytes quando seus valores ultrapassarem oito megabytes.
:p.
:hp2.Prioridade do monitor:ehp2.
Este controle permite indicar a prioridade absoluta da thread de 
monitorao do programa, dentro da classe de prioridade &odq.time-critical&cdq..
Pode-se variar a prioridade de 0  31. Prioridade 31  a mais alta 
prioridade possvel no sistema, prximo de interrupes fsicas. 
Prioridade 0  a mais baixa dentro da classe &odq.time-critical&cdq.. 
Normalmente deve-se colocar no mximo para uma melhor aproximao na 
monitorao do sistema. Entretanto alguns reclamaram que seus programas 
de comunicao eventualmente perdiam dados enquanto o programa estava 
rodando. Por esta razo a prioridade agora  variavel.
:p.
:hp2.Intervalo de tempo:ehp2.
Este controle permite que seja dado um intervalo de tempo entre as 
atualizaes dos dados. O valor pode variar de 1,0  30,0 segundos em 
intervalos de 1/10 de segundo. O nmero mostrado  em dcimos de segundos.

:h3 res=IDD_CONFIG_PAGE_COLORS.Cores (Pgina de Configurao)
Esta rea mostra os trs conjunto de cores associados com os nveis de 
Normal, Aviso e Erro para os itens que suportam estas condies.  
possvel alterar as cores usando a Paleta de Cores do sistema.

:h3 res=IDD_CONFIG_PAGE_ANCHOR.Canto fixo (Pgina de Configurao)
Este controle permite que se informe qual o canto da janela que 
permanecer fixo na posio quando a janela muda de tamanho. A janela do 
monitor poder mudar de tamanho quando itens so adicionados ou removidos 
da lista ativa ou quando  mudada a fonte atravs da Paleta de Fontes.

:h3 res=IDD_LABEL.Atributos do Item (Dilogo)
Esta caixa de dilogo mostra os nomes padro e atual de um item 
juntamente com os nveis de Aviso e Erro, caso esta caracterstica estiver 
habilitada para este item. Para mudar o nome simplesmente digite o novo 
nome sobre o atual. Para mudar os nveis de aviso ou erro, pode ser 
digitado o valor no campo de entrada ou movido pelo slider correspondente.
:p.
Para retornar aos valores normais, basta pressionar o boto &apos.Padro&apos..

:h1 res=IDM_RESETLOAD.Reinicializar medidor de carga (Opo de menu)
:i1.Reinicializar medidor de carga (Opo de menu)
Esta opo permite ao usurio reinicializar o medidor de carda da CPU, 
recalibrando-o, fazendo-o desconsiderar as atividades prvias da CPU em 
seus clculos.

:h1 res=IDM_RESETDRIVES.Reinicializar drives (Opo de menu)
:i1.Reinicializar drives (Opo de menu)
Esta opo permite que o usurio zere qualquer condio que esteja 
presente. A reinicializao ocorre periodicamente, mas o comando permite 
ao usurio executar o comando imediatamente.

:h1 res=IDM_COPY.Copiar (Opo de menu)
:i1.Copiar (Opo de menu)
Esta opo copia a janela corrente para o bloco de rascunho do sistema 
sob duas formas&colon. Texto e Bitmap. A verso texto mostra todos os 
itens mostrados em um formato apropriado para a colagem em um editor de 
textos. A verso bitmap mostra uma cpia exata da janela corrente e pode 
ser usada por editores grficos.
:p.
:Note.A tecla de atalho para esta funo  Ctrl+Ins.

:h1 res=IDM_ABOUT.Informaes do produto (Opo de menu)
:i1.Informaes do produto (Opo de menu)
Quando selecionada, esta opo mostra a caixa de dilogo de Informaes 
do produto. Para maiores informaes, veja :hpt.Informaes do produto 
(Caixa de dilogo):ehpt.:hdref res=IDD_ABOUT..

:h2 res=IDD_ABOUT.Informaes do produto (Caixa de dilogo)
Esta caixa de dilogo mostra o nome do programa, cone e informaes de 
direitos. Para sair do dilogo, tecle ENTER, ESPAO ou ESCAPE ou d um 
clique no boto OK com o mouse.

:h1 res=IDM_EXIT.Encerrar (Opo de menu)
:i1.Encerrar (Opo de menu)
Esta opo encerra o programa, caso seja selecionada.
:p.
:Note.A tecla de atalho para esta funo  F3.

:h1 res=IDM_KEYS_HELP.Teclas - Ajuda
:i1.Teclas - Ajuda
As seguintes teclas de funo foram definidas para este programa&colon.
:sl compact.
:li.F1 - Ajuda
:li.F2 - Gravar configurao
:li.F3 - Encerrar
:li.Alt+C - Configurar
:li.Alt+H - Esconder ttulo
:li.Ctrl+Ins - Copiar
:esl.:p.

:h1 res=IDD_PROFILE_PATH.Indica local da configurao. (Caixa de dilogo)
:i1.Indica local da configurao. (Caixa de dilogo)
Esta caixa de dilogo  mostrada quando o programa no pde encontrar seu
arquivo de configurao (INI) e pergunta onde esta o arquivo ou onde deve 
ser criado.
:p.
Somente um nome vlido de diretrio j existente ser aceito. Uma vez 
digitado o nome, tecle ENTER ou d um clique no boto OK para o programa 
continuar.
:p.
Se desejar abortar a sequncia de inicializao do programa tecle ESC ou 
d um clique no boto de escape.

:h1 res=60000.HRTIMER - Driver de clock de alta resoluo
O device driver do relgio de alta resoluo, HRTIMER.SYS, possibilita um 
programa a acessar um chip de tempo normalmente no utilizado nos IBM PCs. 
Este chip tem uma resoluo de at 840 nanosegundos, 64K vezes melhor do 
que a resoluo normal de 55 milisegundos.
:p.
Os nicos lugares que conheo atualmente que tem este programa disponvel
so&colon.
:hp4.CompuServe:ehp4., 
onde o programa pode ser encontrado na biblioteca 
:hp4.Device Driver Development:ehp4.
do forum
:hp4.OS/2 Developer's Forum I (OS2DF1):ehp4., 
com o nome de
:hp4.TIMER.ZIP:ehp4.,
e nos sites de ftp annimo
:hp4.ftp.cdrom.com:ehp4. 
e
:hp4.hobbes.nmsu.edu:ehp4..
O arquivo se encontra no diretrio
:hp4./pub/os2/dev16:ehp4.,
como
:hp4.hrtimer.zip:ehp4..
:p.
O cdigo fonte para este driver foi conseguido da revista 'IBM Personal 
System Developer', edio de outono de 1991.  freeware, porm o copyright 
original pertence  IBM.

:h1 res=60001.Qual  o conflito com o PULSE?
Este programa, como o PULSE, CPULOAD, CPUMETER e programas semelhantes, 
tentam medir o quo ocupado o computador esta, verificando quanto trabalho 
pode ser realizado com a menor prioridade possvel. Supostamente se um 
destes programas pode fazer algo nesta prioridade ento deve estar usando 
tempo vago. Se no h tempo vago ento o computador esta 100% ocupado. 
Quanto mais este programa pode fazer com prioridade reduzida, menos ocupado 
o computador deve estar.
:p.
O problema  que rodando mais de um destes programas ao mesmo tempo, 
estes estaro competindo pelo tempo vago. Se se rodar duas cpias do mesmo 
programa e nada mais, os dois devero mostrar uma carga de 50% na CPU. Se 
se rodar dois programas diferentes, como este e o PULSE, ambos devem ser 
afetados, mas normalmente em graus diferentes.

:h1 res=60002.Como o HRTIMER.SYS pode ajudar?
Com o HRTIMER.SYS instalado, a sobre carga do sistema  incluida na carga 
da CPU.
:p.
A carga da CPU  determinada comparando-se quanto trabalho pode ser 
realizado em baixa prioridade com o mximo que o programa foi capaz de 
fazer at o presente momento. Sem maiores informaes, as atividades de 
retaguarda normais do sistema devem aparecer como carga zero. Se o 
HRTIMER.SYS estiver instalado na sua mquina, ento este programa executa 
um lao de calibragem na inicializao, no qual ele determina quanto 
trabalho pode ser feito na prioridade mais alta. Este valor  ento usado 
para comparao.

:euserdoc.
