#include "memsize.h"
:userdoc.
:title.'Systemressourcen' Hilfe
:body.

:h1 res=ID_MAIN.Einfhrung
:i1.Einfhrung
:artwork name='memsize.bmp' align=center.
:p.
Dieses Programm zeigt verschiedene Informationen im Zusammenhang mit
Systemressourcen.  Die Anzeige wird einmal pro Sekunde angepat, sofern
das Programm hierfr CPU-Zeit erhlt.  Die angezeigten Informationen sind:
:p.
:hp2.Datum/Zeit:ehp2. - Laufendes Datum und Uhrzeit in dem Format, wie
es die Lnderspezifikation fr Ihr System in dem COUNTRY-Eintrag Ihrer
CONFIG.SYS-Datei vorschreibt.
:p.
:hp2.Abgelaufene Zeit:ehp2. - Die Zeit, die seit dem letzten Neustart des
Computers abgelaufen ist.
:p.
:hp2.Freier physischer Speicher:ehp2. - Der verfgbare Systemspeicher nach Angabe
der Funktion :hp1.DosMemAvail:ehp1..
:note.Diese Funktion gehrt zu dem alten 16-bit System und meldet nur 
physischen Speicher unterhalb von 16Mb.  Auerdem wurde sie kurz vor dem 
Erscheinen von OS/2 2.0 so gendert, da sie niemals weniger als 512K meldet.
:p.
:hp2.Freier virtueller Speicher:ehp2. - Der Betrag des freien
virtuellen Speichers nach Angabe der Funktion
:hp1.DosQuerySysInfo:ehp1.. Dies ist der Betrag des freien physischen
Speichers zuzglich dem Betrag des freien Platzes in der
augenblicklichen Auslagerungsdatei und dem Betrag, um den die
Auslagerungsdatei noch wachsen knnte, abzglich dem Betrag des
reservierten Platzes auf dem Auslagerungslaufwerk.
:p.
:hp2.Swap-Gre:ehp2. - Die augenblickliche Gre der
Auslagerungsdatei des virtuellen Speichers (SWAPPER.DAT). Um diese
Datei zu finden, wird die Datei CONFIG.SYS nach
dem SWAPPATH-Eintrag durchsucht.  Dieser Eintrag liefert den vollen
Namen des Verzeichnisses der Auslagerungsdatei und zeigt den minimalen
Speicherplatz an, der auf dem Laufwerk der Auslagerungsdatei frei
bleiben mu.
:p.
:hp2.Freier Swap-Platz:ehp2. -  Der Betrag des freien
Plattenplatz auf dem logischen Laufwerk der Auslagerungsdatei
abzglich des minimalen freibleibenden Platzes. Diese Zahl
zeigt an, wie weit die Auslagerungsdatei im Bedarfsfall ausgedehnt
werden knnte.
:p.
:hp2.Unbenutzter Auslagerungsplatz:ehp2. - Der Betrag freien Platzes
innerhalb der augenblicklich angelegten Auslagerungsdatei.
Wenn dieser Betrag auf Null geht, mu die Auslagerungsdatei
vergrert werden, normalerweise um jeweils ein Megabyte.
:p.
:hp2.Spool-Gre:ehp2. - Der Betrag an Plattenplatz, der von
Spool-Dateien verbraucht wird.
:p.
:hp2.CPU-Last (%):ehp2. - Die ungefhre Prozentzahl der verfgbaren
CPU-Leistung, die in diesem Moment gebraucht wird.  Sie wird ber die
vergangene Sekunde gemittelt.
:note.Diese Funktion und  PULSE behindern sich gegenseitig.
:hpt.Warum?:ehpt.:hdref res=60001.
:note.Wenn Sie den Treiber :hpt.HRTIMER.SYS:ehpt.:hdref res=60000.  
installiert haben, ist diese Zahl genauer.
:hpt.Warum?:ehpt.:hdref res=60002.
:p.
:hp2.Batterie:ehp2. - Die augenblick freie Batteriekapazitt bzw. deren Status
(Laden, AC) wird angezeigt.
:p.
:hp2.Anzahl aktiver Tasks:ehp2. - Die Anzahl der Eintrge in der
System-Fensterliste; das ist die Liste, die angezeigt wird,
wenn Sie CTRL+ESC drcken.
:note.Es werden nicht unbedingt alle Eintrge in der System-Taskliste
in der Fensterliste angezeigt.  Einige knnen als `nicht anzuzeigen'
markiert sein.
:p.
:hp2.Proze-Anzahl:ehp2. - Die Zahl der augenblicklich im System
geladenen Prozesse.
:p.
:hp2.Thread-Anzahl:ehp2. - Die Zahl der augenblicklich im System
ablaufenden Threads.  Zu jedem Proze gibt es mindestens einen Thread.
:p.
:hp2.Insgesamt freier Plattenplatz:ehp2. - Die Summe des freien Platzes auf
allen Festplatten.
:p.
:hp2.Auf Laufwerk X frei:ehp2. - Der Betrag freien Speichers auf Laufwerk X.
:p.
Wie Sie schon gesehen haben, ist die Hilfeeinrichtung aktiv und die
existierenden Kommandos knnen ber das System-Men des Fensters
angesprochen werden.  Die folgenden Kommandos sind verfgbar&colon.
:sl compact.
:li.:hpt.Werte speichern:ehpt.:hdref res=IDM_SAVE_APPLICATION.
:li.:hpt.Standardwerte:ehpt.:hdref res=IDM_RESET_DEFAULTS.
:li.:hpt.Ohne Rahmen:ehpt.:hdref res=IDM_HIDE_CONTROLS.
:li.:hpt.Konfiguration...:ehpt.:hdref res=IDM_CONFIGURE.
:li.:hpt.Lastmessung zurcksetzen:ehpt.:hdref res=IDM_RESETLOAD.
:li.:hpt.Laufwerke zurcksetzen:ehpt.:hdref res=IDM_RESETDRIVES.
:li.:hpt.Kopieren:ehpt.:hdref res=IDM_COPY.
:li.:hpt.Produktinformation:ehpt.:hdref res=IDM_ABOUT.
:li.:hpt.Schlieen:ehpt.:hdref res=IDM_EXIT.
:esl.:p.
Auer den schon beschriebenen Vorrichtungen akzeptiert das Programm
auch Kommandos von den OS/2 2.0-Programmen zur Farb- und Schriftartpalette
und dient als DDE-Server fr alle momentan angezeigten Gren.
Der DDE-Applikationsname ist MEMSIZE und die Namen der Details sind identisch
mit den Standardnamen der angezeigten Details (also z.B. Freier physischer
Speicher).

:h1 res=IDM_SAVE_APPLICATION.Werte speichern (Men-Option)
:i1.Werte speichern (Men-Option)
Bei Selektion dieser Men-Option speichert das Programm seine
augenblickliche Position und den Zustand des Rahmens.
Beim nchsten Programmstart wird das Fenster an der gleichen Position
und entweder mit oder ohne Rahmen erscheinen, entsprechend dem
gespeicherten Zustand.
:p.
:note.Dieses Kommando kann ber F2 direkt ausgefhrt werden.

:h1 res=IDM_RESET_DEFAULTS.Standardwerte (Men-Option)
:i1.Standardwerte (Men-Option)
Diese Men-Option setzt die Schriftart- und Farbattribute des
Programms auf ihre Standardwerte zurck.

:h1 res=IDM_HIDE_CONTROLS.Ohne Rahmen (Men-Option)
:i1.Ohne Rahmen (Men-Option)
Diese Men-Option verbirgt den Rahmen des Programmfensters, d.h. also
das System-Men, den Titelbalken und den Knopf fr Symbolgre.  Mit
einem Doppelklick auf irgendeinen Mausknopf kann diese Option
umgeschaltet werden.  Da ich es fr ntzlich hielt, das Fenster
bewegen zu knnen, auch wenn der Rahmen verborgen ist, wurde das
Fenster so eingerichtet, da es mit jedem Mausknopf verschoben werden
kann.
:p.
:note.Dieses Kommando kann ber ALT+H direkt ausgefhrt werden.

:h1 res=IDM_CONFIGURE.Konfiguration (Men-Option)
:i1.Konfiguration (Men-Option)
Diese Men-Option fhrt zur Anzeige des Konfigurationsdialogs fr das Programm.
Fr weitere Informationen, siehe :hpt.Konfiguration (Dialog):ehpt.:hdref res=IDD_CONFIGURE..
:note.Dieses Kommando kann ber Alt+C direkt ausgefhrt werden.

:h2 res=IDD_CONFIGURE.Konfigurieren (Dialog)
Dieser Notizbuch-Dialog erlaubt Ihnen, alle konfigurierbaren Aspekte der Operation
des Programms zu verndern. Die Konfigurationsoptionen sind wie folgt in Kategorien
eingeteilt&colon.
:sl compact.
:li.:hpt.Details:ehpt.:hdref res=IDD_CONFIG_PAGE_ITEMS.
:li.:hpt.Optionen (Seite 1):ehpt.:hdref res=IDD_CONFIG_PAGE_OPTIONS1.
:li.:hpt.Optionen (Seite 2):ehpt.:hdref res=IDD_CONFIG_PAGE_OPTIONS2.
:li.:hpt.Farben:ehpt.:hdref res=IDD_CONFIG_PAGE_COLORS.
:li.:hpt.Anker:ehpt.:hdref res=IDD_CONFIG_PAGE_ANCHOR.
:esl.:p.
Alle nderungen werden sofort wirksam.

:h3 res=IDD_CONFIG_PAGE_ITEMS.Details (Konfigurationsseite)
Diese Seite zeigt eine Liste anzeigbarer Details an.  
Sie knnen beliebige Details aus der Liste der verfgbaren Anzeigedaten
auswhlen.  Klicken Sie einfach auf einen Eintrag, um ihn hervorzuheben,
ein zweites Mal, um die Hervorhebung aufzuheben.  Hervorgehobene Details
werken berwacht und angezeigt.
Um die Bezeichnung eines angezeigten Details zu ndern oder um die 
Standardbezeichnung wieder wirksam werden zu lassen, klicken Sie doppelt
auf ein nicht ausgewhltes Detail.  Das Detail wird selektiert und ein Dialog
angeboten, in dem Sie die Bezeichnung ndern knnen.

:h3 res=IDD_CONFIG_PAGE_OPTIONS1.Optionen (Seite 1) (Konfigurationsseite)
Diese Seite zeigt eine Anzahl von Programmoptionen, die aktiviert oder deaktiviert 
werden knnen.
:p.
:hp2.Ohne Rahmen:ehp2.
Wenn die Uhr nicht auf Symbolgre reduziert ist, kann sie mit oder ohne
Titelbalken und die Knpfe fr Kontextmen, Symbolgre und maximale Gre
angezeigt werden.  Wenn Sie diese Knpfe verbergen, kann das Fenster trotzdem
noch verschoben werden, indem sein mittlerer Bereich verzogen wird.
:p.
:hp2.Immer oberstes Fenster:ehp2.
Wenn dieser Knopf markiert ist, wird das Programmfenster immer auf die Spitze
des Fensterstapels aufsteigen, so da es stndig sichtbar bleibt.
:p.
:hp2.Animation:ehp2.
Dieser Knopf aktiviert die Animation beim ffnen &amp. Schlieen des
Fensters.  Wenn die Animation aktiv ist, ffnet und schliet sich das
Programmfenster in derselben Art und Weise wie Ordner-Objekte, d.h. also mit
Gerusch und Bewegung.  Animation erfolgt jedoch wie bei den Ordner-Objekten
nur, wenn sie auf System-Ebene eingeschaltet ist.
:p.
:hp2.Tabellenformat:ehp2.
Wenn dieser Knopf markiert ist, stellt sich das Fenster im
Tabellenformat dar, wobei die angezeigten Details in Zeilen und
Spalten angeordnet sind.  Es optimiert sich selbst, so da mglichst
wenig vertikaler Raum bentigt wird.  Wenn der Knopf nicht markiert
ist, stellt sich das Fenster mit einer einzigen Spalte angezeigter
Details an.
:p.
:hp2.Stundenschlag:ehp2.
Dieser Knopf aktiviert einen Stundenschlag.  Wenn die Option aktiviert ist, piepst
das Programm zu jeder vollen Stunde zweimal.
:p.
:hp2.Netzwerklaufwerke anzeigen:ehp2.
Wenn dieser Knopf markiert ist, werden Netzwerklaufwerke, die momentan
mit dem System verbunden sind, in der gleichen Weise berwacht wie
Festplattenlaufwerke mit der einzigen Ausnahme, da sie nicht in die
Berechnung des insgesamt freien Speicherplatzes eingehen.
:p.
:hp2.Dateisystemtypen anzeigen:ehp2.
Diese Option bewirkt, da die Eintrge fr den freien Platz der einzelnen
Laufwerke auch den Dateisystemtyp auflisten.  Eine Nebenwirkung ist, da
das Programmfenster breiter wird.
:p.
:hp2.Datentrgernamen anzeigen:ehp2.
Diese Option bewirkt, da die Eintrge fr den freien Plattenplatz den
jeweiligen Datentrgernamen anzeigen. Eine Nebenwirkung ist, da
das Programmfenster breiter wird.
:p.
:hp2.Sekunden anzeigen:ehp2.
Dieser Knopf sorgt dafr, da die Anzeige der Uhr und der
abgelaufenen Zeit die Sekunden enthlt.
:p.
:hp2.24-h-Zeit:ehp2.
Dieser Knopf sorgt dafr, da die Uhrzeit im 24h-Format angezeigt wird, unabhngig von 
den `Land'-Einstellungen des Computers.

:h3 res=IDD_CONFIG_PAGE_OPTIONS2.Optione (Seite 2) (Konfigurationsseite)
Diese Seite zeigt weitere Programmoptionen, die komplizierter sind als nur ein- und
auszuschalten.
:p.
:hp2.'K'ilobytes anzeigen:ehp2.
Diese Gruppe von `Radio'-Knpfen erlaubt Ihnen auszuwhlen, ob groe
Plattenkapazitten immer, nie oder nur oberhalb von 512K als Kilobyte
angezeigt werden.  Standard ist, Gren oberhalb von 512K als Kilobyte
anzuzeigen.  
.br
Der 'K=1024'-Knopf, sorgt bei Selektion dafr, da die Zahlen in `echten' K (1024)
angezeigt werden.  Wenn er deselektiert ist, werden die Zahlen in dezimalen K (1000)
angezeigt..
.br
Der 'M'egabytesknopf, sorgt bei Selektion dafr, da Zahlen oberhalb von acht Megabytes
in Megabytes angezeigt werden.
:p.
:hp2.Monitor-Prioritt:ehp2.
Diese Steuermglichkeit erlaubt Ihnen, die absolute Prioritt des
Monitor-Threads des Programms innerhalb der zeitkritischen Priorittsklasse
zu verndern.  Sie knnen die Prioritt zwischen 0 und 31 verndern.
Prioritt 31 ist die hchstmgliche Prioritt im System, abgesehen von
Hardware-Unterbrechungen.  Prioritt 0 ist einfach die niedrigste Prioritt
innerhalb der zeitkritischen Klasse.  Normalerweise sollten Sie die maximale
Prioritt whlen, um eine grtmgliche Genauigkeit der Systemberwachung zu
erhalten.  Allerdings haben sich manche beschwert, da ihre
Kommunikationsprogramme gelegentlich Daten verlieren, wenn dieses Programm
luft.  Aus diesem Grund ist die Prioritt nun variabel.
:p.
:hp2.Wecker-Intervall:ehp2.
Diese Option erlaubt Ihnen, das Intervall zwischen Anpassungen des
Monitor-Fensters festzulegen.  Es kann zwischen 1.0 und 30.0 Sekunden in
Abstnden von 1/10 Sekunde verndert werden.  Die angezeigte Zahl bezieht
sich auf Zehntelsekunden.

:h3 res=IDD_CONFIG_PAGE_COLORS.Farben (Konfigurationsseite)
Dieser Bereich zeigt das Sortiment der drei Farben, die mit der Normal-, Warn- und
Fehlerschwelle jedes Details verbunden sind, soweit diese Vorrichtung untersttzt wird.  
Sie knnen die Farben verndern, indem Sie von der Farbpalette des Systems andere Farben
darberziehen.
:h3 res=IDD_CONFIG_PAGE_ANCHOR.Anker (Konfigurationsseite)
Diese Steuermglichkeit erlaubt Ihnen, die Ecke des Monitor-Fensters zu
bestimmen, welche fixiert bleibt, wenn das Fenster seine Gre ndert.  Das
Monitor-Fenster kann seine Gre ndern, wenn Eintrge zur Anzeige-Liste
hinzugefgt oder davon weggenommen werden und wenn die Schriftart der Anzeige
mit Hilfe der Schriftarten-Palette gendert wird.

:h3 res=IDD_LABEL.Detail-Attribute  (Dialog)
Dieses Dialogfenster zeigt Ihnen die augenblickliche Bezeichnung fr ein Anzeigedetail 
an und deren Standardwert, auerdem die augenblicklichen Werte fr die Warn-
und Fehlerschwelle, wenn diese Vorrichtung fr das augenblickliche Detail eingeschaltet
ist.  Um den Text zu ndern,  schreiben Sie einfach eine neue Bezeichnung ber die
augenblickliche.  Um die Werte fr Fehler- oder Warnschwelle zu ndern, schreiben Sie
entweder neue Werte in die Eingabefelder oder bewegen den zugeordneten Schieber.
:p.Um alle Werte auf ihre Standardwerte zurckzusetzen, klicken Sie auf den 
Standard-Knopf.

:h1 res=IDM_RESETLOAD.Lastmessung zurcksetzen (Men-Option)
:i1.Lastmessung zurcksetzen (Men-Option)
Diese Men-Option erlaubt es dem Benutzer, die Messung der CPU-Last
zu Eichzwecken rckzusetzen.  Vorherige CPU-Aktivitt wird dann fr
die Berechnungen ignoriert.

:h1 res=IDM_RESETDRIVES.Laufwerke zurcksetzen (Men-Option)
:i1.Laufwerke zurcksetzen (Men-Option)
Diese Option erlaubt es dem Benutzer, alle mglichen Laufwerksfehler,
die sich ereignet haben knnen, zurckzusetzen.  Dies wird im Lauf der
zeit sowieso automatisch erfolgen, aber mit diesem Kommando kann der
Benutzer die Fehler unmittelbar zurcksetzen.

:h1 res=IDM_COPY.Kopieren (Men-Option)
:i1.Kopieren (Men-Option)
Diese Men-Option kopiert das laufende Anzeigefenster in die
System-Zwischenablage, und zwar im Text- und Bitmap-Format. Die
Textversion zeigt alle augenblicklich angezeigten Details in einer
Form, die geeignet ist fr das Einfgen in einen Texteditor.  Die
Bitmap-Version zeigt eine exakte Kopie des laufenden Fensters und kann
von graphischen Editoren und Bildbetrachtern verwendet werden.
:p.
Die Direktaufruf-Taste fr dieses Kommando ist Strg+Einfg (Ctrl+Ins).

:h1 res=IDM_ABOUT.Produktinformation (Men-Option)
:i1.Produktinformation (Men-Option)
Selektion dieser Option bewirkt die Anzeige der Produktinformation.
Fr weitere Informationen, siehe :hpt.Produktinformation (Dialog):ehpt.:hdref res=IDD_ABOUT..

:h2 res=IDD_ABOUT.Produktinformation (Dialog)
Das Dialogfenster zeigt den Namen des Programms, das zugehrige Symbol
und die Copyright-Information an.  Das Fenster kann verlassen werden,
indem man die Eingabetaste, die Leertaste oder ESC drckt oder auf den
OK-Knopf klickt.

:h1 res=IDM_EXIT.Schlieen (Men-Option)
:i1.Schlieen (Men-Option)
Bei Selektion dieser Men-Option wird das Programm beendet.

:h1 res=IDM_KEYS_HELP.Hilfe fr Tasten
:i1.Hilfe fr Tasten
Die folgenden Funktionstasten wurden fr dieses Programm definiert&colon.
:sl compact.
:li.F1 - Hilfe
:li.F2 - Werte speichern
:li.F3 - Ende
:li.Alt+C - Konfiguration
:li.Alt+H - Ohne Rahmen
:li.Strg+Einfg (Ctrl+Ins) - Kopieren
:esl.:p.

:h1 res=IDD_PROFILE_PATH.Initialisierungspfad setzen (Dialog)
:i1.Initialisierungspfad setzen (Dialog)
Dieser Dialog wird angezeigt, wenn das Programm seine
Initialisierungsdatei (INI) nicht finden kann.  Er fragt danach, wo
die Datei ist oder wo sie angelegt werden soll.
:p.
Nur ein gltiger
Verzeichnisname wird akzeptiert.  Wenn Sie den Namen eingegeben haben,
drcken Sie die ENTER-Tast oder klicken Sie auf den OK-Knopf, damit
das Programm fortfhrt.
:p.
Wenn Sie die Initialisierungssequenz
abbrechen wollen, drcken Sie die ESC-Taste oder klicken auf den
`Abbruch'-Knopf.

:h1 res=60000.HRTIMER - Treiber fr hochauflsende Zeitmessung
Der Treiber fr hochauflsende Zeitmessung HRTIMER.SYS erlaubt einem Programm
den Zugriff auf ein normalerweise ungenutztes Timer Chip in den IBM PCs. 
Er hat eine Auflsung von 840 Nanosekunden, 64K-mal besser als die normale
Auflsung von 55 Millisekunden.
:p.
Die einzigen mir momentan bekannten Stellen, die dieses Programm
verfgbar halten, sind 
:hp4.CompuServe:ehp4., 
wo das Programm in der 
:hp4.Device Driver Development:ehp4.
library des 
:hp4.OS/2 Developer's Forum I (OS2DF1):ehp4., 
unter dem Namen
:hp4.TIMER.ZIP:ehp4.,
liegt und die anonymous ftp sites 
:hp4.ftp.cdrom.com:ehp4. 
und
:hp4.hobbes.nmsu.edu:ehp4..
Die Datei liegt dort im Verzeichnis
:hp4./pub/os2/dev16:ehp4.,
als
:hp4.hrtimer.zip:ehp4..
:p.Der Quellcode fr diesen Einheitentreiber stammt aus der Herbstausgabe 1991
des IBM Personal Systems Developer Magazine.  Er ist Freeware, aber das
ursprngliche Urheberrecht gehrt IBM.

:h1 res=60001.Worin besteht der Konflikt mit PULSE?
Das vorliegende Programm versucht genau wie PULSE, CPULOAD, CPUMETER und
hnliche Programme, den Beschftigungsgrad des Rechners herauszufinden, indem
es prft, wieviel Arbeit es auf der niedrigsten Priorittsstufe leisten kann.
Die Idee ist, da jedes dieser Programme, wenn es berhaupt irgendetwas mit
der niedrigsten Prioritt tun kann, offensichtlich Leerlaufzeit verwendet.
Wenn es keine Leerlaufzeit gibt, ist der Rechner zu 100% beschftigt.  Je
mehr das Programm mit Leerlaufprioritt tun kann, desto weniger kann der
Rechner beschftigt sein.
:p.Das Problem dabei, mehrere dieser Programme laufen zu lassen, besteht
darin, da sie um diese Leerlaufzeit konkurrieren.  Wenn Sie zwei
Kopien eines dieser Programme in einem Rechner laufen lassen, der
sonst nichts tut, zeigen sie theoretisch beide eine CPU-Last von 50%.
Wenn Sie zwei verschiedene Programme laufen lassen, also etwa das
vorliegende und PULSE, sind auch beide betroffen, aber normalerweise
zu unterschiedlichen Anteilen.

:h1 res=60002.Inwiefern hilft HRTIMER.SYS?
Wenn HRTIMER.SYS installiert ist, ist der System-Verwaltungsaufwand in der
CPU-Last enthalten.
:p.Die CPU-Last wird bestimmt, indem man vergleicht, wieviel Arbeit zur
Leerlaufprioritt geleistet werden konnte und wieviel das Programm hchstens
bis zu diesem Augenblick tun konnte.  Ohne weitere Informationen wrde die
normale Hintergrund-Aktivitt des Systems als 0% Last erscheinen. Wenn
HRTIMER.SYS installiert ist, fhrt das vorliegende Programm beim Start eine
Eich-Schleife aus, in der es bestimmt, wieviel Arbeit mit der hchsten
verfgbaren Prioritt geleistet werden kann.  Dieser Betrag wird dann zum
Vergleich verwendet.

:euserdoc.

