#include "memsize.h"
:userdoc.
:title.'Ayuda de Recursos del Sistema OS/2'
:body.

:h1 res=ID_MAIN.Introduccin
:i1.Introduccin
:artwork name='memsize.bmp' align=center.
:p.
Este programa muestra por pantalla diferentes informaciones sobre los
recursos del sistema, y las actualiza una vez por segundo, si es que el
procesador tiene tiempo para hacerlo. Las informaciones que se muestran
son:
:p.
:hp2.Fecha/Hora:ehp2. - La fecha y hora actual, en el formato normal
de cada pas, dependiendo de como est configurada la lnea &apos.COUNTRY=&apos. 
del fichero CONFIG.SYS
:p.
:hp2.Tiempo transcurrido:ehp2. - El tiempo que ha pasado desde la ltima
vez que se arranc el ordenador.
:p.
:hp2.Memoria fsica libre:ehp2. -
La cantidad de memoria libre del sistema, de acuerdo con el valor
devuelto por la funcin :hp1.DosMemAvail:ehp1.. 
:note.Esta funcin formaba parte del sistema antiguo de 16 bits, y slo
informa de la memoria fsica por debajo de 16Mb. Fue modificada justo antes 
de que fuese hecho pblico el OS/2 2.0 para que nunca reportara menos
de 512K.
:p.
:hp2.Memoria virtual libre:ehp2. -
La cantidad de memoria virtual libre segn la funcin
:hp1.DosQuerySysInfo:ehp1..  Esta es la cantidad de memoria fsica
libre, ms la cantidad de espacio libre dentro del fichero de
intercambio (swap), ms la cantidad de espacio que tiene an el fichero
de intercambio para crecer, menos la cantidad que se debe reservar libre 
en la unidad donde se encuentra el fichero de intercambio.
:p.
:hp2.Tamao del fichero de intercambio:ehp2. - El tamao que ocupa en el
disco el fichero de memoria virtual de intercambio (swap), SWAPPER.DAT.
Para localizar este fichero, busque en el fichero CONFIG.SYS la lnea
que empieza con SWAPPATH, donde est indicado el nombre completo
(incluido el directorio) del fichero de intercambio, as como el espacio
que se debe reservar en la unidad dnde se encuentra este fichero.
:p.
:hp2.Espacio disponible para el fichero de intercambio:ehp2. - La
cantidad total de espacio en la unidad de disco dnde se encuentra el
fichero de intercambio, menos la cantidad de espacio que debe
reservarse. Este valor es el tamao mximo que puede alcanzar el fichero
de intercambio.
:p.
:hp2.Espacio sin usar del fichero de intercambio:ehp2. - La
cantidad de espacio dentro del fichero de intercambio que est actualmente
sin usar.  Cuando sta baja a cero, el fichero de intercambio tiene
que ser aumentado de tamao, normalmente en un megabyte cada vez.
:p.
:hp2.Tamao del fichero del spooler:ehp2. - La cantidad total de disco
consumida por los ficheros enviados al spooler de la impresora.
:p.
:hp2.Porcentaje de utilizacin de la CPU:ehp2. - El porcentaje
aproximado de utilizacin de la CPU. El valor que se muestra es el
porcentaje correspondiente al promedio de utilizacin del ltimo
segundo.
:Note.Esta funcin y el PULSE que se incluye con el OS/2 2.0, no son muy
compatibles.
:hpt.Por qu?:ehpt.:hdref res=60001.
:Note.Si est instalado el programa :hpt.HRTIMER.SYS:ehpt.:hdref res=60000., 
este nmero ser mas correcto.
:hpt.Por qu?:ehpt.:hdref res=60002.
:p.
:hp2.Pila:ehp2. - La capacidad que queda en la pila, 
o su estado actual (cargando, enchufado) se muestra.
:p.
:hp2.Nmero de tareas activas:ehp2. -
El nmero de elementos en la Lista de Ventanas, que es la lista que se
visualiza cuando pulsamos CTRL-ESC.
:note.No todas las tareas del sistema se muestran en la Lista de
Ventanas, ya que algunas de estas tareas no son visibles.
:p.
:hp2.Nmero de procesos:ehp2. - El nmero de procesos actualmente
cargados en el sistema.
:p.
:hp2.Nmero de hilos:ehp2. - El nmero de hilos (threads) de procesamiento
en el sistema.  Hay por lo menos un hilo (thread) por cada proceso.
:p.
:hp2.Espacio libre total:ehp2. - La suma del espacio libre en todas las
unidades locales de disco (no removibles).
:p.
:hp2.Espacio libre en la unidad X:ehp2. - La cantidad de espacio libre
en el disco X.
:p.
Esta ayuda es sensible al contexto, como ya se habr dado cuenta. El
acceso a las siguientes funciones se realiza a travs del men de
sistema de la ventana&colon.
:sl compact.
:li.:hpt.Grabar configuracin:ehpt.:hdref res=IDM_SAVE_APPLICATION.
:li.:hpt.Restaurar los valores por defecto:ehpt.:hdref res=IDM_RESET_DEFAULTS.
:li.:hpt.Esconder los controles:ehpt.:hdref res=IDM_HIDE_CONTROLS.
:li.:hpt.Configuracin...:ehpt.:hdref res=IDM_CONFIGURE.
:li.:hpt.Reinicializar medidor de uso:ehpt.:hdref res=IDM_RESETLOAD.
:li.:hpt.Reinicializar ficheros:ehpt.:hdref res=IDM_RESETDRIVES.
:li.:hpt.Copiar:ehpt.:hdref res=IDM_COPY.
:li.:hpt.Informacin del producto:ehpt.:hdref res=IDM_ABOUT.
:li.:hpt.Cerrar:ehpt.:hdref res=IDM_EXIT.
:esl.:p.
Aparte de estas funciones, el programa acepta ordenes de los
controladores de fuentes y de la paleta de colores del OS/2 2.0, 
y es un servidor 'DDE' para todos los elementos actualmente
mostrados.  El nombre de aplicacin es MEMSIZE, y los nombres de
elementos son los mismos nombres de elementos por defecto
(como 'Memoria fsica libre').

:h1 res=IDM_SAVE_APPLICATION.Grabar la configuracin (Opcin del men)
:i1.Grabar la configuracin (Opcin del men)
Cuando se selecciona esta opcin del men, el programa guarda la posicin
actual en la pantalla as como el estado de los controles. La prxima
vez que se ejecute el programa, lo har en la misma posicin y con los
controles ocultos (o visibles), de acuerdo con la informacin grabada.
:p.
La tecla aceleradora asignada a esta funcin es F2.

:h1 res=IDM_RESET_DEFAULTS.Restaurar los valores por defecto (Opcin del men)
:i1.Restaurar los valores por defecto (Opcin del men)
Seleccionado esta opcin del men, se restaura el tipo de letra y los
atributos de color a sus valores por defecto.

:h1 res=IDM_HIDE_CONTROLS.Esconder los controles (Opcin del men)
:i1.Esconder los controles (Opcin del men)
Cuando esta opcin del men est seleccionada, obliga a que los controles de
la ventana del programa (el men de sistema, la barra con el ttulo y el
botn de minimizar) esten ocultos. Es posible variar el valor de esta
funcin pulsando dos veces el botn del mouse dentro de la ventana.
.br
La tecla aceleradora asignada a esta funcin es ALT+H.

:h1 res=IDM_CONFIGURE.Configurar (Opcin del men)
:i1.Configurar (Opcin del men)
Cuando se selecciona esta opcin del men, aparecer la pantalla de
configuracin del programa.
Para mas informacin, vase :hpt.Configurar (Caja de dilogo):ehpt.:hdref res=IDD_CONFIGURE..
:note.La tecla aceleradora asignada a esta funcin es Alt+C.

:h2 res=IDD_CONFIGURE.Configurar (Dilogo)
Esta pantalla nos permite cambiar todos los aspectos configurables
del programa.  Las opciones se organizan segn su categora en las 
pginas sigientes&colon.
:sl compact.
:li.:hpt.Elementos:ehpt.:hdref res=IDD_CONFIG_PAGE_ITEMS.
:li.:hpt.Opciones (Pgina 1):ehpt.:hdref res=IDD_CONFIG_PAGE_OPTIONS1.
:li.:hpt.Opciones (Pgina 2):ehpt.:hdref res=IDD_CONFIG_PAGE_OPTIONS2.
:li.:hpt.Colores:ehpt.:hdref res=IDD_CONFIG_PAGE_COLORS.
:li.:hpt.Ancla:ehpt.:hdref res=IDD_CONFIG_PAGE_ANCHOR.
:esl.:p.
Cualquier cambio tendr efecto inmediatamente.

:h3 res=IDD_CONFIG_PAGE_ITEMS.Elementos (Pgina de configuracin)
Esta pgina muestra una lista de elementos para mostrar.
Podemos seleccionar varios o todos los elementos que debern
monitorizarse. Slo deberemos pulsar en un elemento para
seleccionarlo, o bien hacer otro click para desmarcarlo. Los
elementos marcados son los que se visualizarn.
Para cambiar el texto por defecto de un elemento, o para restaurar el texto
por defecto, hay que hacer un doble-click en el nombre del elemento.
Este elemento ser seleccionado y se abrir un cuadro de dilogo 
en el cual se puede cambiar su texto.

:h3 res=IDD_CONFIG_PAGE_OPTIONS1.Opciones (Pgina 1) (Pgina de configuracin)
Esta pgina muestra una lista de los elementos disponibles
y permite que se activen o que se inactiven.
:p.
:hp2.Esconder los controles:ehp2.
Cuando el programa no est en forma de icono, lo podremos ver con o
sin los elementos normales de las ventanas&colon. barra de ttulo, men de
sistema y botones de maximizar y minimizar. Si escogemos esconder
los controles, todava podemos cambiar la posicin de visualizacin
arrastrando la ventana con el mouse.
:p.
:hp2.Quedar en primer plano:ehp2.
Este botn activa la funcin de quedar siempre en primer plano.
Cuando este botn esta marcado, la ventana del programa quedar
siempre en el primer plano de visualizacin, de forma que siempre
ser visible.
:p.
:hp2.Animacin:ehp2.
Este botn activa la funcin de animacin al abrir y cerrar la
ventana. Cuando est seleccionado, la ventana del programa se abrir
de la misma forma que lo hacen las carpetas: con sonido y
movimiento. De la misma forma que con las carpetas, no habr ninguna
animacin si esta ha sido deshabilitada a nivel de sistema.
:p.
:hp2.Formato tabla:ehp2.
Este botn activa la funcin de mostrar la ventana siempre en 
formato tabla, o sea, con los elementos distribuidos 
horizontalmente, en vez de verticalmente.  Se dispone para
ocupar tan poco espacio vertical como sea posible.
Cuando no se marque este botn, la ventana se colocar en
forma vertical, con una sola columna de elementos.
:p.
:hp2.Sonido a la hora:ehp2.
Este botn causa que suene un sonido al comienzo de cada hora.
:p.
:hp2.Mostrar ficheros remotos:ehp2.
Cuando se marque este botn, los ficheros remotos (LAN) que estn
conectados actualmente al sistema se muestra igual que los ficheros
locales, salvo que no se incluyen en el total de espacio libre local.
:p.
:hp2.Mostrar el nombre del sistema de ficheros:ehp2.
Si este botn est marcado se indicar, adems del espacio
libre el nombre del sistema de ficheros de la unidad. El uso de esta
opcin implica una ventana un poco ms ancha.
:p.
:hp2.Mostrar los nombres de los ficheros:ehp2.
Si este botn est marcado se indicar, adems del espacio
libre el nombre de la unidad en si.  El uso de esta opcin implica
una ventana un poco ms ancha.
:p.
:hp2.Mostrar segundos:ehp2.
Este botn causa que el reloj y el tiempo transcurrido incluyen
los segundos del minuto.
:p.
:hp2.Reloj de 24 horas:ehp2.
Este botn causa que el reloj se muestre en formato de 24 horas,
sin tener en cuenta la configuracin de Pais del sistema.

:h3 res=IDD_CONFIG_PAGE_OPTIONS2.Opciones (Pgina 2) (Pgina de configuracin)
Esta pgina muestra otras opciones del programa que son mas
complejas que simplemente activado o desactivado.
:p.
:hp2.Mostrar 'K'ilobytes:ehp2.
Este grupo de botones 'radio' permite que Ud. escoja si los tamaos
grandes sern mostrados en kilobytes siempre, nunca, o slo cuando
sus valores excedan 512K.
Lo normal es mostrar todo tamao mas grande que 512K en kilobytes.
.br
El botn de 'K=1024', cuando se marque, har que los nmeros sean
mostrados en kilobytes verdaderos (1024).  Cuando no se marque el
botn, los nmeros se muestran en kilobytes decimales (1000).
.br
El botn de 'Megabytes', cuando se marque, har que los nmeros
sean mostrados en megabytes una vez sus values pasen ocho megabytes.
:p.
:hp2.Prioridad de monitorizacin:ehp2.
Esta opcin nos permitir establecer el valor de prioridad del
thread de monitorizacin, dentro de la categoria de tiempo-crtico.
Podemos variar la prioridad entre 0 y 31. La prioridad 31 es el
valor ms elevado del sistema, por debajo de las interrupciones
fsicas. La prioridad 0 es el valor ms bajo dentro de la categora
tiempo-crtico. Normalmente, este valor tiene que estar configurado
al mximo para obtener un valor ms preciso. No obstante, algunos
usuarios han informado que, ocasionalmente, pierden algunos
caracteres en las comunicaciones que se realizan mientras se est
ejecutando el programa. Es por esto que la prioridad es, ahora,
configurable.
:p.
:hp2.Intervalo de tiempo:ehp2.
Esta opcin nos permite establecer el intervalo de actualizacin de
la ventana. Puede variar entre 1.0 segundos hasta 30.0 segundos, en
intervalos de 1 dcima de segundo. El nmero se muestra en dcimas
de segundo.

:h3 res=IDD_CONFIG_PAGE_COLORS.Colores (Pgina de configuracin)
Este pgina muestra los tres colores asignados a los niveles de
Normal, Aviso y de Error para los elementos a mostrar que usen tales
colores.  Se pueden elegir los colores arrastrndolos desde una de 
las paletas de colores del sistema operativo.
:note.Bajo OS/2 Warp revisin 3.0 o superior, si uno hace un click
sobre una de las muestras de colores, la paleta de colores slidos 
del sistema se mostrar para mayor comodidad.
Tambin se puede usar la paleta de colores mixtos, pero esta
paleta tiene que elegirse en Configuracin del Sistema.

:h3 res=IDD_CONFIG_PAGE_ANCHOR.Ancla (Pgina de configuracin)
Este pgina permite que el usuario elija la esquina de la ventana del
programa que quedar fija cuando el tamao de la ventana cambie.
La ventana puede cambiar de tamao cuando se aaden o se eliminan elementos
de la lista activa, y cuando la fuente se cambie utilizando la paleta de
fuentes.

:h3 res=IDD_LABEL.Atributos del elemento (Dilogo)
Este dialogo muestra los nombres actuales y por defecto del elemento
que mostrar, junto con sus niveles de Aviso y de Error, si esta funcin
funciona para el elemento actual.  Para cambiar el nombre, solo hay
que introducir un nombre nuevo sobreescribiendo el actual.  Para cambiar 
los niveles de Aviso o de Error, hay que entrar un valor nuevo en la 
cajita al efecto, o mover el control situado a la derecha de la cajita.
:p.Para restaurar todos los valores a la opcin por defecto, solo hay que 
hacer un click sobre el botn 'Defecto'.

:h1 res=IDM_RESETLOAD.Reinicializar medidor de uso (Opcin del men)
:i1.Reinicializar medidor de uso (Opcin del men)
Esta opcin causa que se reinicie el medidor de porcentaje de
utilizacin del sistema, haciendo que se olvide de la actividad
previa de la CPU en sus clculos.

:h1 res=IDM_RESETDRIVES.Reinicializar ficheros (Opcin del men)
:i1.Reinicializar ficheros (Opcin del men)
Esta opcin permite al usuario reinicializar ante cualquier error en
medir los ficheros que se haya producido. Esto pasar automticamente de
vez en cuando, pero esta opcin le permite al usuario eliminar
los errores en ese mismo momento.

:h1 res=IDM_COPY.Copiar (Opcin del men)
:i1.Copiar (Opcin del men)
Esta opcin del men hace una copia de la ventana actual en el portapapeles 
del sistema en dos formatos&colon. texto y bitmap.  La versin en texto
muestra todos los elementos actualmente activos en una forma adecuada
para pegar en un documento con un editor de textos.  La versin en
bitmap muestra una copia exacta de la ventana actual, y se puede
usar con editores y visores de grficos.
:p.
La tecla aceleradora para esta funcin es Ctrl+Ins.

:h1 res=IDM_ABOUT.Informacin del producto (Opcin del men)
:i1.Informacin del producto (Opcin del men)
Esta opcin muestra, cuando se selecciona, informacin sobre el
programa.
Para mas informacin, vase :hpt.Informacin del programa (Caja de dilogo):ehpt.:hdref res=IDD_ABOUT..

:h2 res=IDD_ABOUT.Informacin del producto (Caja de dilogo)
Esta caja de dilogo muestra el nombre del programa, el icono e
informacin sobre copyright y el autor.

Para salir de esta caja de dilogo, se puede pulsar cualquiera de estas
teclas: ENTER, la barra de espacios o bien ESCAPE. Tambin se puede
salir seleccionando el botn OK con el mouse.

:h1 res=IDM_EXIT.Cerrar (Opcin del men)
:i1.Cerrar (Opcin del men)
Cuando se selecciona esta opcin del men se termina el programa.

:h1 res=IDM_KEYS_HELP.Ayuda de las teclas
:i1.Ayuda de las teclas
Las siguientes teclas de funcin se han definido para el uso de este
programa&colon.
:sl compact.
:li.F1 - Ayuda
:li.F2 - Grabar la configuracin
:li.F3 - Salir
:li.Alt+C - Configurar
:li.Alt+H - Esconder los controles
:li.Ctrl+Ins - Copiar
:esl.:p.

:h1 res=IDD_PROFILE_PATH.Indicar el directorio del fichero .INI. (Caja de dilogo)
:i1.Indicar el directorio del fichero .INI. (Caja de dilogo)
Esta caja de dilogo se muestra cuando el programa no puede
encontrar su fichero .INI y pregunta cual es el nombre de este
fichero y en qu directorio se encuentra.
:p.
Slo se acceptan nombres
vlidos de directorios ya existentes. Una vez que se haya escrito
el nombre, pulsando INTRO (RETURN) o bien haciendo un click en el
botn "OK" se permite al programa continuar su secuencia de
inicializacin.
:p.
Si, por contra, se desea cortar la inicializacin
del programa, se debe pulsar la tecla ESC o bien hacer un click en
el botn de anulacin.

:h1 res=60000.HRTIMER - Driver reloj de alta resolucin
El driver de reloj de alta resolucin 'HRTIMER.SYS' facilita a los programas el
aceso a un circuito de reloj normalmente sin usar que se encuentra en los 
PCs 'IBM'.
Tiene una resolucin hasta 840 nanosegundos, 64 mil veces mejor que la
resolucin normal de 55 millisegundos.
:p.
Los nicos lugares que conozco actualmente que tienen este programa son
:hp4.CompuServe:ehp4., 
donde el program se puede encontrar en la biblioteca
:hp4.Device Driver Development:ehp4.
del foro
:hp4.OS/2 Developer's Forum I (OS2DF1):ehp4., 
bajo el nombre de 
:hp4.TIMER.ZIP:ehp4.,
y por los sitios de servicio ftp annimo
:hp4.ftp.cdrom.com:ehp4. 
y
:hp4.hobbes.nmsu.edu:ehp4..
El fichero se encuentra en el directorio
:hp4./pub/os2/dev16:ehp4.,
como
:hp4.hrtimer.zip:ehp4..
:p.El cdigo fuente para este driver fue conseguido de la revista 'IBM Personal
Systems Developer', edicin del otoo 1991.  Es 'freeware', pero el copyright 
original pertenece a IBM.

:h1 res=60001.Qu es el conflicto con PULSE?
Este programa, al igual que PULSE, CPULOAD, CPUMETER y programas semejantes,
intenta medir como est de ocupado el ordenador tratando de ver
cunto trabajo se puede realizar a la prioridad mnima.
Supuestamente, si uno de estos programas puede hacer algo a esa prioridad,
entonces estar usando el tiempo sin permitir otro uso.
Si no hay tiempo sin uso, entonces el ordenador est ocupado al 100%.
Cuanto mas puede hacer este programa con el tiempo sin otro uso, menos
ocupado se supone que est el sistema.
:p.El problema con ejecutar ms de uno de estos programas a la vez es que
todos ellos empiezan a competir por el mismo tiempo sin uso.
Si uno intenta ejecutar dos copias del mismo programa, y nada mas, los dos
deben mostrar un 50% de uso del sistema.  Si uno ejecuta dos programas 
diferentes, como este programa y PULSE, entonces los dos sern afectados,
pero usualmente en diferentes grados.

:h1 res=60002.Cmo ayuda HRTIMER.SYS?
Cuando est instalado HRTIMER.SYS, el uso normal del CPU por el sistema
operativo ser incluido en el porcentaje de uso del sistema.
:p.
El porcentaje de uso del sistema se determina comparando cunto trabajo
se puede hacer a la prioridad mnima con el mximo que el programa ha podido
hacer hasta el momento presente.  Sin mas informacin, el uso normal del CPU
por el sistema operativo aparecera como un uso de porcentaje cero.
Si est instalado HRTIMER.SYS en el sistema, entonces el programa puede
hacer una calibracin al comenzar, mediante la cual se puede determinar cunto
trabajo se podra hacer a la prioridad mxima del sistema.
Esta cantidad se usa entonces para posteriores comparaciones.

:euserdoc.
