#include "memsize.h"
:userdoc.
:title.Aiuto di 'Risorse di Sistema'
:body.

:h1 res=ID_MAIN.Introduzione
:i1.Introduzione
:artwork name='memsize.bmp' align=center.
:p.
Questo programma mostra parecchi elementi relativi alle risorse del sistema,
e  aggiorna queste informazioni una volta al secondo se dispone di sufficienti
risorse del processore per farlo. Gli elementi visualizzati sono &colon.
:p.
:hp2.Data/ora:ehp2. - L&apos.ora e la data, nel formato definito per
mezzo delle informazioni del Paese del vostro sistema, dopo la linea
&apos.COUNTRY=&apos. del vostro file CONFIG.SYS.
:p.
:hp2.Tempo trascorso:ehp2. - Il tempo trascorso da quando il sistema  stato
avviato per l&apos.ultima volta.
:p.
:hp2.Memoria fisica libera:ehp2. - La quantit di memoria del sistema
libera, dopo la funzione :hp1.DosMemAvail:ehp1..
:note.Questa funzione fa parte del vecchio sistema a 16 bits, e non conta che
la memoria fisica al di sotto dei 16Mb, ed  anche stata modificata proprio prima
dell&apos.uscita di OS/2 2.0 per non indicare mai meno di 512Kb.
:p.
:hp2.Memoria virtuale libera:ehp2. - La quantit di memoria virtuale
disponibile, dopo la funzione :hp1.DosQuerySysInfo:ehp1.. Si tratta della
quantit di memoria fisica libera, pi lo spazio libero nel file
di scambio (swap), pi lo spazio disponibile per l&apos.aumento del file di
scambio, meno lo spazio libero minimo riservato sul disco di scambio.
:p.
:hp2.Dimensione file di scambio:ehp2. - La dimensione attuale del file
di scambio (swap) del sistema, :hp4.SWAPPER.DAT:ehp4..
Per localizzare il file, la riga :hp4.SWAPPATH:ehp4.  ricercata
nel file :hp4.CONFIG.SYS:ehp4.. La riga fornisce il nome della
directory in cui  localizzato il file di scambio (swap) e indica lo spazio
minimo che deve essere lasciato disponibile sul disco del file di scambio.
:p.
:hp2.Spazio di scambio libero:ehp2. - La quantit di spazio libero sul
disco dove risiede il file di scambio (swap), meno lo spazio libero minimo.
Questo rappresenta l&apos.aumento potenziale massimo del file di scambio.
:p.
:hp2.Spazio di scambio inutilizzato:ehp2. - Lo spazio libero nel file di
scambio attualmente allocato. Quando questa quantit scende a zero, il
file di scambio deve essere aumentato, normalmente con incremento di un megabyte.
:p.
:hp2.Dimensione file di stampa:ehp2. - Lo spazio del disco utilizzato
dal file di stampa.
:p.
:hp2.Carico del processore (%):ehp2. - La percentuale approssimativa della
potenza utilizzata dal processore. Si tratta di una media calcolata
nel secondo precedente.
:note.Questa funzione e l&apos.applicazione :hp4.Attivit del processore:ehp4.
(Pulse) non coabitano bene.
:hpt.Perch ?:ehpt.:hdref res=60001.
:note.Se il driver :hpt.HRTIMER.SYS:ehpt.:hdref res=60000.
 installato, questo numero sar pi preciso.
:hpt.Perch ?:ehpt.:hdref res=60002.
:p.
:hp2.Battery:ehp2. - The current battery capacity remaining,
or its status (Charging, AC) is displayed.
:p.
:hp2.Numero di programmi attivi:ehp2. - Il numero di linee nella lista
dei programmi del sistema, che  visualizzata quando si premono i
tasti CTRL+ESC.
:note.Tutti gli elementi della lista dei programmi di sistema non sono
mostrati nella :hp4.Lista delle finetre:ehp4.. Alcune sono
configurate per non essere visualizzate.
:p.
:hp2.Contatore di processi:ehp2. - Il numero di processi correntemente caricati
nel sistema.
:p.
:hp2.Contatore di Thread:ehp2. - Il numero di threads correntemente funzionanti
nel sistema.  C&apos. almeno un thread per ogni processo.
:p.
:hp2.Spazio libero totale disco:ehp2. - La somma dello spazio libero su
tutti i dischi fissi locali.
:p.
:hp2.Spazio libero X:ehp2. - Lo spazio libero sul disco X.
:p.
Come avete gi potuto constatare, l&apos.aiuto in linea  disponibile, e
i comandi del programma possono essere eseguiti per mezzo del menu di sistema
della finetra. I comandi seguenti sono disponibili&colon.
:sl compact.
:li.:hpt.Salvare la configurazione:ehpt.:hdref res=IDM_SAVE_APPLICATION.
:li.:hpt.Reinizializzare l&apos.ambiente:ehpt.:hdref res=IDM_RESET_DEFAULTS.
:li.:hpt.Nascondere la barra titolo:ehpt.:hdref res=IDM_HIDE_CONTROLS.
:li.:hpt.Configurare...:ehpt.:hdref res=IDM_CONFIGURE.
:li.:hpt.Reinizializzare carico processore:ehpt.:hdref res=IDM_RESETLOAD.
:li.:hpt.Reinizializzare dischi:ehpt.:hdref res=IDM_RESETDRIVES.
:li.:hpt.Copiare:ehpt.:hdref res=IDM_COPY.
:li.:hpt.Informazioni prodotto:ehpt.:hdref res=IDM_ABOUT.
:li.:hpt.Chiudere:ehpt.:hdref res=IDM_EXIT.
:esl.:p.
Oltre le funzioni gi descritte, il programma accetta i comandi
provenienti dal gestore delle fonti e dei colori di OS/2,
e si comporta come server DDE per tutti gli elementi collegati. Il nome
DDE dell&apos.applicazione  MEMSIZE, e i nomi degli elementi sono gli
stessi dei nomi mostrati per default (per esempio, Memoria fisica
libera).

:h1 res=IDM_SAVE_APPLICATION.Salvare la configurazione (Opzione del menu)
:i1.Salvare la configurazione (Opzione del menu)
Quando questa opzione  selezionata, il programma registra la sua
posizione sulla scrivania e lo stato dell&apos.opzione :hp4.Nascondere la
barra titolo:ehp4.. La prossima volta che il programma verr lanciato, la
configurazione attuale sar riutilizzata.
:p.
:note. Il tasto rapido per questa funzione  :hp4.F2:ehp4..

:h1 res=IDM_RESET_DEFAULTS.Reinizializzare l&apos.ambiente (Opzione del menu)
:i1.Reinizializzare l&apos.ambiente (Opzione del menu)
Questa opzione permette la reinizializzazione degli attributi delle
fonti e dei colori del programma ai loro valori di default.

:h1 res=IDM_HIDE_CONTROLS.Nascondere la barra titolo (Opzione del menu)
:i1.Nascondere la barra del titolo (Opzione del menu)
La selezione di questa opzione permette di nascondere la barra
del titolo della finestra, e dei controlli che vi sono associati (il menu
sistema, il bottone di riduzione). Questa opzione pu essere invertita
cliccando due volte l&apos.uno dei bottoni del mouse. Inoltre, m&apos.
sembrato molto utile poter spostare la finestra quando la barra
del titolo  assente, la finestra  configurata in modo da poterla
far mouvere premendo l&apos.uno dei bottoni del mouse.
:p.
:note.Il tasto rapido per questa funzione  :hp4.Alt+H:ehp4..

:h1 res=IDM_CONFIGURE.Configurare (Opzione del menu)
:i1.Configurare (Opzione del menu)
La selezione di questa opzione permette l&apos.apparizione della finestra
di configurazione del programma.
Per maggiri informazioni, vedere
:hpt.Configurare (Dialogo):ehpt.:hdref res=IDD_CONFIGURE..
:note.Il tasto rapido per questo comando  :hp4.Alt+C:ehp4..

:h2 res=IDD_CONFIGURE.Configure (Dialog)
This notebook dialog allows you to change all the configurable 
aspects of this program's operations.  The configuration options
are grouped by category on the following pages&colon.
:sl compact.
:li.:hpt.Dati:ehpt.:hdref res=IDD_CONFIG_PAGE_ITEMS.
:li.:hpt.Options (Page 1):ehpt.:hdref res=IDD_CONFIG_PAGE_OPTIONS1.
:li.:hpt.Options (Page 2):ehpt.:hdref res=IDD_CONFIG_PAGE_OPTIONS2.
:li.:hpt.Colori:ehpt.:hdref res=IDD_CONFIG_PAGE_COLORS.
:li.:hpt.Ancora:ehpt.:hdref res=IDD_CONFIG_PAGE_ANCHOR.
:esl.:p.
All changes take effect immediately.

:h3 res=IDD_CONFIG_PAGE_ITEMS.Dati (Configuration Page)
This page displays a list of displayable items.
Le opzioni che selezionerete nella lista dei :hp4.Dati visualizzati:ehp4.
saranno controllate e mostrate dal programma. Le opzioni evidenziate
sono quelle selezionate. Per evidenziare un opzione, selezionarla con
l&apos.aiuto del mouse. Per rimuovere l&apos.evidenziazione, selezionarla di nuovo.
Per modificare il nome di un elemento, o per restituire il nome di default,
cliccare due volte su un elemento non selezionato. L&apos.elemento sar
selezionato e una finestra di dialogo permetter di modificare il
nome dell&apos.elemento.

:h3 res=IDD_CONFIG_PAGE_OPTIONS1.Options (Page 1) (Configuration Page)
This page shows a number of program options that may be
activated or deactivated.
:p.
:hp2.Nascondere la barra del titolo:ehp2.
Quando la finestra del programma non  ridotta, pu apparrire
con o senza la barra del titolo, il menu sistema e i bottoni di
riduzione e di ingrandimento. La finestra pu essere spostata facendola
scivolare.
:p.
:hp2.Sempre visibile:ehp2.
Quando questa casella  segnata, &apos.Risorse sistema&apos. resta visibile in
permanenza.
:p.
:hp2.Animare:ehp2.
Questa casella attiva l&apos.animazione all&apos.apertura e alla chiusura della
finestra. Quando questa casella  spuntata, la finestra del programma si apre
e si chiude nello stesso modo delle cartelle&colon. con un accompagnamento
sonoro e un&apos.animazione. Come per le cartelle, questa funzione
deve essere attivata nella configurazione del sistema.
:p.
:hp2.Formato tabella:ehp2.
Questo pulsante, quando selezionato, causa la formattazione della finestra in 
formato di tabella, con le voci mostrate in righe e colonne.
La formattazione viene ottimizzata per occupare il minimo spazio verticale.
Quando questo pulsante non viene selezionato la finestra dispone le voci
mostrate su di un&apos.unica colonna.
:p.
:hp2.Hourly Chime:ehp2.
This button activates an hourly chime feature.  When active, the
program will beep twice at the top of every hour.
:p.
:hp2.Mostrare dischi remoti:ehp2.
Quando questo pulsante viene selezionato, i dischi remoti (di una rete), che 
sono attaccati al sistema, vengono monitorati, ma non inclusi nella voce
Spazio totale libero dischi.
:p.
:hp2.Mostrare nome file system:ehp2.
Quando questa casella  attiva, ogni linea che mostra lo spazio
disponibile su disco indica il tipo di file system utilizzato
dal disco. L&apos.utilizzazione di questa opzione crea une finestra
pi larga.
:p.
:hp2.Mostrare i nomi delle unit:ehp2.
Quando questa casella  attiva, ogni linea che mostra lo spazio
disponibile su disco indica il nome di volume del disque.
L&apos.utilizzazione di questa opzione crea une finestra
pi larga.
:p.
:hp2.Visualizzare i secondi:ehp2.
Quando questa casella  attiva, vengono visualizzati isecondi per le ore
e per il tempo trascorso.
:p.
:hp2.24-Hour Clock:ehp2.
This button causes the clock to be displayed in 24-hour format irregardless
of the computer's Country settings.

:h3 res=IDD_CONFIG_PAGE_OPTIONS2.Options (Page 2) (Configuration Page)
This page shows additional program options that are more complex
than simply on/off.
:p.
:hp2.Visualizzare &apos.K&apos.ilobytes:ehp2.
Questi bottoni-evidenziatori permettono di definire se le grandi quantit
devono essere mostrate in kilo-bytes mai, sempre o unicamente se il loro
valore eccede i 512Kb.
Per default, le dimensioni maggioridi  500Kb sono mostrate in kilo-bytes.
.br
The 'K=1024' button, if checked, causes the numbers to be displayed
in true K (1024).  If not checked, the numbers are displayed in
decimal K (1000).
.br
The 'M'egabytes button, if checked, will cause the numbers to be
displayed in megabytes once their values exceed eight megabytes.
:p.
:hp2.Priorit:ehp2.
Questo campo permete di definire la priorit della routine di
surveglianza del programma, nella classe di priorit tempo-critico.
Si pu far variare la priorit da 0 a 31. Una priorit 31 
la pi alta priorit possibile nel sistema. La priorit 0  la priorit
pi bassa. Per ottenere la pi grande precisione nella misura del
carico del processore, si dovr utilizzare il valore massimo.
Tuttavia, alcuni utenti si sono lamentati del fatto che i loro
programmi di communicazione occasinalmente perdevano dei dati.
 per questa ragione che la priorit  ora modificabile.
:p.
:hp2.Tempo di aggiornamento:ehp2.
Questo campo permette di definire il tempo trascorso tra due aggiornamenti
della finestra di sorveglianza. Questo periodo pu variare da uno a
trenta secondi, per intervalli di un decimo di secondo. Il numero mostrato
esprime dei decimi di secondo.

:h3 res=IDD_CONFIG_PAGE_COLORS.Colori (Configuration Page)
Questa area mostra i tre colori associati ai livelli Normale, Attenzione ed
Errore. Si possono modificare i colori semplicemente con il mouse utilizzando
la paletta dei colori di sistema.

:h3 res=IDD_CONFIG_PAGE_ANCHOR.Ancora (Configuration Page)
Questo controllo permette di definire un angolo della finestra la
cui posizione resta fissa quando la dimensione della finestra  modificata. La
dimensione della finestra pu cambiare quando la lista delle opzioni controllate
 modificata, o quando i caratteri vengono modificati.

:h3 res=IDD_LABEL.Item Attributes (finestra di dialogo)
Questa finestra di dialogo mostra la denominazione corrente e di default per 
le voci visualizzate, per mezzo dei livelli di Attenzione ed errore, se questa 
opzione viene attivata per la voce corrente. Per modificare la denominazione 
basta digitare la nuova sopra quella corrente. Per modificare le soglie di 
Attenzione o di Errore utilizzare il campo apposito oppure muovere il cursore 
del livello.
:p. Per ritornare ai valore di default selezionare il pulsante apposito.

:h1 res=IDM_RESETLOAD.Reinizializzare carico processore (Opzione del menu)
:i1.Reinizializzare carico processore (Opzione del menu)
Questa opzione del menu permette di reinizializzare la funzione di misura del
carico del processore.

:h1 res=IDM_RESETDRIVES.Reinizializzare dischi (Menu opzioni)
:i1.Reinizializzare dischi (Menu opzioni)
Questo menu opzioni permette all&apos.utente di reinizializzare ogni disco per 
eliminare possibili errori presenti. Questo avverrebbe automaticamente tramite 
un temporizzatore, ma il pulsante permette di non aspettare.

:h1 res=IDM_COPY.Copiare (Opzione del menu)
:i1.Copiare (Opzione del menu)
Questa opzione del menu copia il contenuto della finestra negli appunti
del sistema in due formati &colon. testo e bitmap. La versione testo
contiene tutti gli elementi visualizzati in un formato che permette la loro
inserzione in un editor di testi. La versione bitmap  una copia della
finestra, e pu essere utilizzata nei programmi che manipolano dei
grafici.
:p.
Il tasto rapido per queato comando  Ctrl+Inser.

:h1 res=IDM_ABOUT.Informazioni prodotto (Opzione del menu)
:i1.Informazioni prodotto (Opzione del menu)
Questa optione fa apparire la finestra d&apos.informationi sul
programma.
Per maggiori informationi, vedere
:hpt.Informazioni prodotto (Dialogo):ehpt.:hdref res=IDD_ABOUT..

:h2 res=IDD_ABOUT.Informazioni prodotto (Finestra di dialogo)
Questa finestra di dialogo mostra il nome del programma, le icone e le
informationi di Copyright. Per uscire dalla finestra, premere il tasto
:hp4.Enter:ehp4., la barra spaziatrice o il tasto :hp4.Esci:ehp4..

:h1 res=IDM_EXIT.Chiudere (Opzione del menu)
:i1.Chiudere (Opzione del menu)
La scelta di questa opzione del menu provoca l&apos.arresto del programma.

:h1 res=IDM_KEYS_HELP.Aiuto sui tasti
:i1.Aiuto sui tasti
I tasti di funzione seguenti sono disponibili in questo
programma&colon.
:sl compact.
:li.F1 - Aiuto
:li.F2 - Salvare la configurazione
:li.F3 - Uscita
:li.Alt+C - Configurare
:li.Alt+H - Nascondere la barra del titolo
:li.Ctrl+Inser - Copiare
:esl.:p.

:h1 res=IDD_PROFILE_PATH.Directory di configurazione
:i1.Directory di configurazione
Questa dinestra di dialogo  visualizzata quando il programma non trouva
il propio file di configurazione (.INI), e domanda dove si trova
o l&apos.endroit dove deve essere creato.
:p.
Solo un nome di una directory esistente sar accettato. Una volta immesso
il nome, premete il tasto :hp4.Enter:ehp4. o selezionate il pulsante
:hp4.Ok:ehp4. perch il programma continui la sua esecuzione.
:p.
Se si vuole interrompere l&apos.inizializazione del programma, premere il
tasto :hp4.Esci:ehp4. o selezionare il pulsante :hp4.Annullare:ehp4..

:h1 res=60000.HRTIMER - Driver del cronometro ad alta risoluzione.
Ile driver del cronometro ad alta risoluzione, HRTIMER.SYS, permette ai
programmi di accedere a un componente normalmente inutilizzato sui PC IBM.
Questo possiede una risoluzione di 840 nanosecondi, 64k volte meglio della
risoluzione normale dell&apos.orologio, che  di 55 millisecondi.
:p.Questo programma pu essere trovato, tra gli altri, nei seguentiposti: su
:hp4.CompuServe:ehp4.,
nella libreria
:hp4.Device Driver Development:ehp4.
del forum
:hp4.OS/2 Developer&apos.s Forum I (OS2DF1):ehp4.,
sotto il nome
:hp4.TIMER.ZIP:ehp4. ;
su Internet, per ftp anonimo sui siti
:hp4.ftp.cdrom.com:ehp4.
e
:hp4.hobbes.nmsu.edu:ehp4.,
nella directory
:hp4./pub/os2/dev16:ehp4.,
sotto il nome
:hp4.hrtimer.zip:ehp4..
:p.Il codice sorgente proviene dal numero d&apos.autunno della
riviste IBM Personal Systems Developer (1991).  gratuito, ma
il copyright originale appartiene a IBM.

:h1 res=60001.Da dove viene il conflitto con Attivit del processore ?
Questo programma, cos come Attivit del processore, CPULOAD, CPUMETER e
i programmi similari, provano a misurare l&apos.attivit del processore
valutando il numero di cicli che sono allocati al processore alla
priorit pi bassa. Se uno di questi programmi viene eseguito ad una
cos bassa priorit, utilizza i tempi d&apos.inattivit. Se non ci sono dei
tempi d&apos.inattivit, il computer  occupato al 100%. Pi il programma
viene eseguito alla priorit sistema inattivo, meno il processore 
caricato.
:p.
Eseguire due programmi di questo tipo pone un problema : entrambi tentano
di utilizzare questi tempi di inattivit. Se si eseguono due copie dello
stesso programma, e niente d&apos.altro, entrambe dovranno indicare un carico
del processore del 50%. Se si eseguono due programmi differenti, entrambi
mostreranno, in principio delle percentuali differenti.

:h1 res=60002.A cosa serve HRTIMER.SYS ?
Quando HRTIMER.SYS  installato, il sovraccarico che rappresents il sistema
 tenuto in conto nel carico della CPU.
:p.
Il carico del processore  determinato comparando la quantit di
lavoro che pu essere effettuata alla priorit inattiva, con la quantit
massima che  possibile effettuare fino a questo punto. Senza informazioni
complementari, l&apos.attivit normale del sistema appare come un carico zero del
processore.
HRTIMER.SYS, quando si installa, effettua una calibrazione per determinare
la quantit di lavoro realizzabile alla pi alta priorit. Questa misura
 utilizzata dal programma.

:euserdoc.
